it-swarm.com.de

Installieren Sie php5.6 in Debian 9

Wie installiert man php5.6 in Debian 9

Die folgenden Pakete haben nicht erfüllte Abhängigkeiten: libapache2-mod-php5: Abhängig von: libdb5.1, aber nicht installierbar Abhängig von: libonig2 (> = 5.2.0), aber nicht installierbar Abhängig von: libssl1.0.0 (> = 1.0.1) aber es ist nicht installierbar Abhängig von: Apache2-mpm-prefork aber es ist nicht installierbar oder Apache2-mpm-itk aber es ist nicht installierbar Abhängig von: php5-cli aber es wird nicht installiert E: Sie können Probleme nicht beheben kaputte Pakete gehalten.

32
karthikeyan

Sie können die von Ondřej Surý veröffentlichten Pakete verwenden, siehe deb.sury.org

Öffnen Sie das Terminal und führen Sie den folgenden Befehl aus:

apt-get install apt-transport-https lsb-release ca-certificates

Holen Sie sich den GPG-Schlüssel:

wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg

oder:

curl https://packages.sury.org/php/apt.gpg | apt-key add -

Fügen Sie das neue Repository Ihren Quellen hinzu:

echo "deb https://packages.sury.org/php/ $(lsb_release -sc) main" > /etc/apt/sources.list.d/php.list

Installieren Sie PHP5.6

apt-get update
apt-get install php5.6

So wechseln Sie zwischen PHP Versionen:

update-alternatives --config php

Beispielausgabe:

----------------------------------------------------------
* 0            /usr/bin/php7.0   70        mode automatique
  1            /usr/bin/php5.6   56        mode manuel
  2            /usr/bin/php7.0   70        mode manuel
86
GAD3R